Sun Solaris Mozilla 1.7 Vulnerability

http://sunsolve.sun.com/search/document.do?assetkey=1-26-102865-1 - It appears that a vulnerability in Mozilla 1.7 on Solaris 8-10 may allow malicious people to compromise a users system. It has been theorized that Mozilla 1.4 may also be vulnerable. The solution has been suggested to apply patches 119115-25 or 119116-25.